<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления/обновления данных о группе пользователей центра администрирования.
 * 
 * Файл: /admin/users_access/action/add_users_type.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
// Проверяем, идет обновление или добавление.
$param['users_type_id'] = to_int($_POST["users_type_id"]);
$param['site_id'] = to_int($_SESSION['current_site_id']);
$param['users_type_name'] = to_str($_POST["users_type_name"]);
$param['users_type_comment'] = to_str($_POST["users_type_comment"]);
$param['users_type_root_dir'] = to_str($_POST["users_type_root_dir"]);
$param['site_id'] = to_int($_REQUEST['site_id']);

if ($insert_user_type_id = $user_access->insert_user_type($param))
{
	$admin_forms = new admin_forms();
	$window_id = $admin_forms->GetWindowId();
	?><script type="text/javascript">
	$.appendInput('<?php echo $window_id?>', 'EditAddUsersType', 'users_type_id', '<?php echo $insert_user_type_id?>');
	</script><?php

	// Информация о группе пользователей отредактирована
	if ($param['users_type_id']) 
	{
		show_message($GLOBALS['MSG_user_access']['ua_edit_user_type_success']);
	}
	else // Информация о группе пользователей добавлена
	{
		show_message($GLOBALS['MSG_user_access']['ua_add_user_type_success']);
	}
}
else
{
	// Информация о группе пользователей не отредактирована
	if ($param['users_type_id']) 
	{
		show_error_message($GLOBALS['MSG_user_access']['ua_edit_user_type_error']);
	}
	else // Информация о группе пользователей не добавлена
	{
		show_error_message($GLOBALS['MSG_user_access']['ua_add_user_type_error']);
	}
}
?>